Subject: bug#55710: closed (Re: [PATCH] gnu: quodlibet: Set GST_PLUGIN_SYSTEM_PATH.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 30 May 2022 19:55:02 +0000

Your bug report

#55710: [PATCH] gnu: quodlibet: Set GST_PLUGIN_SYSTEM_PATH.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55710: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55710
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: quodlibet: Set GST_PLUGIN_SYSTEM_PATH.
From: Liliana Marie Prikler <[email-masked]>
To: Bassam Saeed <[email-masked]>, [email-masked]
Date: Mon, 30 May 2022 21:54:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Sonntag, dem 29.05.2022 um 12:03 -0400 schrieb Bassam Saeed:
> Hi all,
> 
> Currently, quodlibet is unable to find a gstreamer audio sink when
> playing audio unless the relevant gst-plugins is explicitly installed
> in your profile. For me that's gst-plugins-good. Currently, existing
> packaged applications such as Strawberry and Clementine explicitly
> set the GST_PLUGIN_SYSTEM_PATH. I've adapted this for Quodlibet with
> my patch. I suppose an alternative might be to include the gst
> plugins as propagated-inputs but I'm not certain about that. I
> decided to just follow the current practice.
> 
> Hope everything is right here. My first patch to guix.
Pushed a different patch that essentially does the same.  Thanks for
pointing this out.

Cheers

Subject: [PATCH] gnu: quodlibet: Set GST_PLUGIN_SYSTEM_PATH.
From: Bassam Saeed <[email-masked]>
To: [email-masked]
Date: Sun, 29 May 2022 12:03:12 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

Currently, quodlibet is unable to find a gstreamer audio sink when playing
audio unless the relevant gst-plugins is explicitly installed in your
profile. For me that's gst-plugins-good. Currently, existing packaged
applications such as Strawberry and Clementine explicitly set the
GST_PLUGIN_SYSTEM_PATH. I've adapted this for Quodlibet with my patch. I
suppose an alternative might be to include the gst plugins as
propagated-inputs but I'm not certain about that. I decided to just follow
the current practice.

Hope everything is right here. My first patch to guix.

Cheers,
Bassam
From 1c0a33328b3475f39d10d9a668ba11f702b962dd Mon Sep 17 00:00:00 2001
Message-Id: <1c0a[email-masked]>
From: Bassam Saeed <[email-masked]>
Date: Sun, 29 May 2022 11:35:57 -0400
Subject: [PATCH] gnu: quodlibet: Set GST_PLUGIN_SYSTEM_PATH.

---
 gnu/packages/music.scm | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 9011f262a4..b4ff2bef0e 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -6904,6 +6904,13 @@ (define-public quodlibet
                            ,@%glib-or-gtk-build-system-modules)
       #:phases
       #~(modify-phases %standard-phases
+          (add-after 'install 'wrap-program
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (let ((out             (assoc-ref outputs "out"))
+                    (gst-plugin-path (getenv "GST_PLUGIN_SYSTEM_PATH")))
+                (wrap-program (string-append out "/bin/quodlibet")
+                  `("GST_PLUGIN_SYSTEM_PATH" ":" prefix (,gst-plugin-path)))
+                #t)))
           (add-before 'check 'pre-check
             (lambda _
               (setenv "HOME" (getcwd))))

base-commit: 9cd22702b87f873f7e307c99b406fb758e5a307c
-- 
2.36.1